<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/11/2004 *
 * ===============                              Last change: 10/11/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : cache_de.php                                     *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterstuetzung                    *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (basename($_SERVER['PHP_SELF']) == basename(__FILE__))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Language definitions
define('CACHE_PROBLEMS_DETECTED', "Probleme mit dem Cache-Subsystem erkannt!");
define('CACHE_CANNOT_LOAD_1', "Kann nicht Cache-Datei <STRONG><U>");
define('CACHE_CANNOT_LOAD_2', "</U></STRONG> laden!");
define('CACHE_CANNOT_INITIALIZE', "Konnte das Caching-System nicht initialisieren. Bitte die Dokumentation <STRONG>DOCS/de/cache/README.txt</STRONG> lesen!");
define('ADMIN_CACHE_STATS_TITLE', "Statistiken des Caching-Systems");
define('ADMIN_CACHE_DB_HITS', "Zugriffe auf die Datenbank");
define('ADMIN_CACHE_HITS', "Zugriffe auf den Cache");
define('ADMIN_CACHE_PERCENTS', "Prozentual (*)");
define('ADMIN_CACHE_NOTES', "(*): Es ist normal, dass die Prozente sp&auml;ter sehr niedrig sind, da trotz vieler eingesparter Zugriffe immer noch deutlich mehr Zugriffe auf die Datenbank gemacht werden.");
define('ADMIN_TOTAL_HITS', "Gesamtzugriffe");
define('CACHE_CANNOT_UNLINK_1', "Kann nicht die Cache-Datei <STRONG><U>");
define('CACHE_CANNOT_UNLINK_2', "</U></STRONG> vom Server entfernen!");

// Administrative settings
define('ADMIN_CONFIG_CACHE_SETTINGS', "Caching-Einstellung");
define('ADMIN_CACHE_ADMINS', "Soll der Zugriff auf die Tabelle <STRONG>"._MYSQL_PREFIX."_admins</STRONG> beschleunigt werden?");
define('ADMIN_CACHE_ACLS', "Soll der Zugriff auf die Tabelle <STRONG>"._MYSQL_PREFIX."_admins_acls</STRONG> beschleunigt werden?");
define('ADMIN_CACHE_EXTS', "Soll der Zugriff auf die Tabelle <STRONG>"._MYSQL_PREFIX."_extensions</STRONG> beschleunigt werden?");
define('ADMIN_CACHE_CONFIG', "Soll der Zugriff auf die Tabelle <STRONG>"._MYSQL_PREFIX."_config</STRONG> beschleunigt werden?");
define('ADMIN_CACHE_MODREG', "Soll der Zugriff auf die Tabelle <STRONG>"._MYSQL_PREFIX."_mod_reg</STRONG> beschleunigt werden?");
define('ADMIN_CACHE_REFDEPTH', "Soll der Zugriff auf die Tabelle <STRONG>"._MYSQL_PREFIX."_refdepths</STRONG> beschleunigt werden?");
define('ADMIN_CACHE_REFSYS', "Soll der Zugriff auf die Tabelle <STRONG>"._MYSQL_PREFIX."_refsystem</STRONG> beschleunigt werden?");
define('ADMIN_CACHE_PATH', "Relativer Pfad f&uuml;r alle Cache-Dateien zum Pfad <STRONG>inc</STRONG>");

//
?>
