<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/11/2003 *
 * ===============                              Last change: 12/21/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_secure.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Security related settings                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sicherheitsrelevante Einstellungen               *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}
global $link;

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if (isset($_POST['ok']))
{
	// If salt length is empty or null then we shall generate new passwords
	if (empty($_POST['salt_length']) || ($_POST['salt_length'] == "0"))
	{
		// Generate new passwords for all!
		require(PATH."/inc/gen_sql_patches.php");

		// Forget the wrong number!
		unset($_POST['salt_length']);

		// Redirect to logout link
		LOAD_URL(URL."/modules.php?module=admin&logout=1");
	}

	// Save settings
	ADMIN_SAVE_SETTINGS($_POST, "_config", "config='0'");
}
 else
{
	// Remember stuff in constants
	define('__PASS_LEN'   , $CONFIG['pass_len']);

	// Password-salt length
	define('__SALT_LENGTH', $CONFIG['salt_length']);

	// Load template
	LOAD_TEMPLATE("admin_config_secure");
}

//
?>
