<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/30/2005 *
 * ===============                              Last change: 04/30/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : country_de.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterst�tzung                     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (basename($_SERVER['PHP_SELF']) == basename(__FILE__))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Language definitions
define('ADMIN_ADD_COUNTRY_CODE', "L&auml;ndercode hinzuf&uuml;gen");
define('ADMIN_ENTER_COUNTRY_CODE', "Zweistelligen L&auml;dercode eingeben (z.B. PL)");
define('ADMIN_ENTER_COUNTRY_NAME', "L&auml;ndernamen eingeben (z.B. Polen)");
define('ADMIN_COUNTRY_CODE_ACTIVE', "Soll der L&auml;ndercode angezeigt werden?");
define('ADD_COUNTRY', "Land hinzuf&uuml;gen");
define('ADMIN_COUNTRY_NO_CODES_SETUP', "Noch keine L&auml;ndercodes eingerichtet!");
define('ADMIN_LIST_COUNTRIES', "L&auml;ndercodes auflisten");
define('ADMIN_COUNTRY_CODE', "Code");
define('ADMIN_COUNTRY_NAME', "Name");
define('ADMIN_COUNTRY_STATUS', "Anzeigen?");
define('ADMIN_COUNTRY_ALREADY_1', "L&auml;ndercode <U>");
define('ADMIN_COUNTRY_ALREADY_2', "</U> existiert bereits!");
define('ADMIN_COUNTRY_ADDED_1', "L&auml;ndercode f&uuml;r Land <U>");
define('ADMIN_COUNTRY_ADDED_2', "</U> hinzugef&uuml;gt.");
define('ADMIN_COUNTRY_EDIT_NOW', "L&auml;ndercodes &auml;ndern");
define('ADMIN_COUNTRY_DELETE_NOW', "L&auml;ndercodes l&ouml;schen");
define('ADMIN_COUNTRY_EDIT_TITLE', "L&auml;ndercodes &auml;ndern");
define('ADMIN_COUNTRY_DELETE_TITLE', "L&auml;ndercodes l&ouml;schen");
define('ADMIN_COUNTRIES_MODIFIED', "L&auml;ndercode(s) ge&auml;ndert.");
define('ADMIN_COUNTRIES_REMOVED', "L&auml;ndercode(s) gel&ouml;scht.");
define('COUNTRY_NOT_FOUND', "Land nicht gefunden!");

//
?>
