<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 07/26/2004 *
 * ===============                              Last change: 08/02/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : holiday_de.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterst�tzung                     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (basename($_SERVER['PHP_SELF']) == basename(__FILE__))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Language definitions
define('HOLIDAY_MEMBER_TITLE', "Von wann bis wann sind Sie im Urlaub?");
define('HOLIDAY_MEMBER_TSTART', "Anfang Ihres Urlaubes");
define('HOLIDAY_MEMBER_TEND', "Ende Ihres Urlaubes");
define('HOLIDAY_MAX_DAYS_1', "Sie k&ouml;nnen nicht mehr als ");
define('HOLIDAY_MAX_DAYS_2', " Tag(e) an Urlaub einstellen!");
define('HOLIDAY_ADD', "Urlaubsschaltung aktivieren");
define('HOLIDAY_COMMENTS', "Sonstige Hinweise an uns");
define('HOLIDAY_NOTES', "Sobald Sie das Formular abgeschickt haben, wird die Urlaubsschaltung f&uuml;r Ihren Account aktiviert. Sie k&ouml;nnen sich weiterhin im Mitgliedsbereich aufhalten, k&ouml;nnen aber keine Mails mehr empfangen und auch selber keine mehr buchen!");
define('ADMIN_TASK_IS_HOLIDAY_REQUEST', "Urlaubsanfrage");
define('HOLIDAY_ADMIN_NOTHING_FOUND', "Niemand hat Urlaub beantragt.");
define('HOLIDAY_ADMIN_TSTART', "Anfang");
define('HOLIDAY_ADMIN_TEND', "Ende");
define('HOLIDAY_ADMIN_COMMENTS', "Kommentar");
define('HOLIDAY_ADMIN_STOP_CHECKED', "Ausgew. Urlaub beenden");
define('HOLIDAY_ADMIN_DELETE_NOTE', "Bitte beachten Sie, dass beim vorzeitigen Beenden des Urlaubes der Account-Status nicht ge&auml;ndert wird. Ist also das Account noch gesperrt, m&uuml;ssen Sie es seperat freischalten.");
define('HOLIDAY_NO_DIRECT_CALL', "Bite rufen Sie dieses Script &uuml;ber Auflisten auf.");
define('HOLIDAY_ADMIN_DEL_LINK', "Urlaub beenden");
define('HOLIDAY_ADMIN_SINGLE_DELETED', "Urlaub eines Mitgliedes beendet!");
define('HOLIDAY_ADMIN_MULTI_DEL_1', "Urlaub von <U>");
define('HOLIDAY_ADMIN_MULTI_DEL_2', "</U> Mitglied(-ern) beendet!");
define('HOLIDAY_ADMIN_CONFIG_HEADER', "Einstellungen an der Urlaubsschaltung");
define('HOLIDAY_ADMIN_MAX_HOLIDAY', "Maximale beantragbare Urlaubszeit");
define('HOLIDAY_IS_ACTIVATED_NOW', "Ihre Urlaubsschaltung wurde jetzt aktiviert. Sie k&ouml;nnen keine Mails mehr buchen!");
define('HOLIDAY_MEMBER_DEACTIVATE_TITLE', "Bestehende Urlaubsschaltung deaktivieren");
define('HOLIDAY_DEACTIVATE_NOTES', "M&ouml;chten Sie diese Urlaubsschaltung wieder deaktivieren? Es ist eine weitere Mail dann an uns unterwegs.");
define('HOLIDAY_STOP', "Urlaubsschaltung aufheben");
define('HOLIDAY_MEMBER_DEACTIVATED_NOW', "Ihre Urlaubsschaltung ist jetzt aufgehoben!");
define('HOLIDAY_MEMBER_CANNOT_DEACTIVATE', "Konnte Ihre Urlaubsschaltung nicht aufheben! Bitte melden Sie sich bei uns!");
define('HOLIDAY_ORDER_NOT_POSSIBLE', "Sie k&ouml;nnen keine Mails versenden, da Ihre Urlaubsschaltung aktiviert ist!");
define('HOLIDAY_MEMBER_TLOCK', "Urlaubsschaltung eingerichtet");
define('HOLIDAY_MEMBER_LOCKED', "Sie k&ouml;nnen derzeit Ihre Urlaubsschaltung nicht wieder deaktivieren, da Sie diese erst vor Kurzem aktiviert haben.");
define('HOLIDAY_MEMBER_ORDER_1', "Sie k&ouml;nnen derzeit Ihre Urlaubsschaltung nicht ver&auml;ndern, da Ihre letzte Mailbuchung zu kurz her ist! Letzte Buchung: <U>");
define('HOLIDAY_MEMBER_ORDER_2', "</U>");
define('HOLIDAY_ADMIN_SINGLE_404', "Urlaubsschaltung nicht mehr vorhanden, oder veralteter Link!");
define('HOLIDAY_ADMIN_LOCKED', "Dauer bis Urlaubsschaltung aufgehoben werden kann");
define('HOLIDAY_ADMIN_MODE', "Zeitpunkt der Abarbeitung der Urlaubsschaltungen");
define('HOLIDAY_ADMIN_MODE_RESET', "Am t&auml;glichen Reset um 00:00 Uhr");
define('HOLIDAY_ADMIN_MODE_DIRECT', "Sofort nach Beantragung pr&uuml;fen");

// Subject lines
define('HOLIDAY_MEMBER_SUBJECT', "[HINWEIS:] Ihre Urlaubsanfrage");
define('HOLIDAY_ADMIN_SUBJECT', "Urlaubsanfrage in Ihrem {!MT_WORD!}");
define('HOLIDAY_MEMBER_UNLOCK_SUBJ', "[HINWEIS:] Beendigung Ihres Urlaubes");
define('HOLIDAY_ADMIN_UNLOCK_SUBJ', "Automatische Urlaubsbeendigung");
define('HOLIDAY_ADMIN_DEAC_SUBJ', "Deaktivierung einer Urlaubsschaltung");
define('HOLIDAY_ADMIN_REMOVED_SUBJ', "[HINWEIS:] Ihr Urlaub wurde beendet");
define('HOLIDAY_MEMBER_ACTIVATED', "[HINWEIS:] Ihre Urlaubsschaltung ist aktiviert");

//
?>
